POST v1/MYTrip/SearchMYTrip
Request Information
URI Parameters
None.
Body Parameters
SearchTripModel| Name | Description | Type | Additional information |
|---|---|---|---|
| FromCityId | integer |
Required |
|
| FromCity | string |
Required |
|
| ToCityId | integer |
Required |
|
| ToCity | string |
Required |
|
| DepartureDate | string |
Required |
|
| NationalityCode | string |
None. |
|
| SeatCount | integer |
Required |
|
| ShiftId | integer |
None. |
|
| Shift | string |
None. |
|
| VehicleTypeId | integer |
None. |
|
| VehicleType | string |
None. |
|
| vehicleOperatorId | integer |
None. |
|
| vehicleOperator | string |
None. |
|
| pageNumber | integer |
None. |
|
| pageSize | integer |
None. |
|
| PartnerClientId | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"FromCityId": 1,
"FromCity": "sample string 1",
"ToCityId": 1,
"ToCity": "sample string 2",
"DepartureDate": "sample string 3",
"NationalityCode": "sample string 4",
"SeatCount": 1,
"ShiftId": 1,
"Shift": "sample string 5",
"VehicleTypeId": 1,
"VehicleType": "sample string 6",
"vehicleOperatorId": 1,
"vehicleOperator": "sample string 7",
"pageNumber": 1,
"pageSize": 1,
"PartnerClientId": "sample string 8"
}
application/xml, text/xml
Sample:
<SearchTripModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/MY.API.Models"> <PartnerClientId>sample string 8</PartnerClientId> <DepartureDate>sample string 3</DepartureDate> <FromCity>sample string 1</FromCity> <FromCityId>1</FromCityId> <NationalityCode>sample string 4</NationalityCode> <SeatCount>1</SeatCount> <Shift>sample string 5</Shift> <ShiftId>1</ShiftId> <ToCity>sample string 2</ToCity> <ToCityId>1</ToCityId> <VehicleType>sample string 6</VehicleType> <VehicleTypeId>1</VehicleTypeId> <pageNumber>1</pageNumber> <pageSize>1</pageSize> <vehicleOperator>sample string 7</vehicleOperator> <vehicleOperatorId>1</vehicleOperatorId> </SearchTripModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |